RefFrameDistanceInfo Struct Reference

Refrence frame distance related variables. More...

`#include <encoder.h>`

## Data Fields

int | ref_relative_dist [INTER_REFS_PER_FRAME]
int8_t | nearest_past_ref
int8_t | nearest_future_ref

## Detailed Description

Refrence frame distance related variables.

## Field Documentation

## ref_relative_dist

int RefFrameDistanceInfo::ref_relative_dist[INTER_REFS_PER_FRAME]

True relative distance of reference frames w.r.t. the current frame.

## nearest_past_ref

int8_t RefFrameDistanceInfo::nearest_past_ref

The nearest reference w.r.t. current frame in the past.

## nearest_future_ref

int8_t RefFrameDistanceInfo::nearest_future_ref

The nearest reference w.r.t. current frame in the future.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h